cdac.medinfo.ccd.narrativeblock

## Class StrucDocCaption

- java.lang.Object
- - cdac.medinfo.ccd.narrativeblock.StrucDocCaption

- All Implemented Interfaces:
    java.io.Serializable

      public class StrucDocCaption
      extends java.lang.Object
      implements java.io.Serializable

  Java class for StrucDoc.Caption complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrucDoc.Caption">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="linkHtml" type="{urn:hl7-org:v3}StrucDoc.LinkHtml"/>
               <element name="sub" type="{urn:hl7-org:v3}StrucDoc.Sub"/>
               <element name="sup" type="{urn:hl7-org:v3}StrucDoc.Sup"/>
               <element name="footnote" type="{urn:hl7-org:v3}StrucDoc.Footnote"/>
               <element name="footnoteRef" type="{urn:hl7-org:v3}StrucDoc.FootnoteRef"/>
             </choice>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
             <attribute name="styleCode" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrucDocCaption()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.io.Serializable>` | `getContent()` Gets the value of the content property.
    `java.lang.String` | `getID()` Gets the value of the id property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.util.List<java.lang.String>` | `getStyleCode()` Gets the value of the styleCode property.
    `void` | `setID(java.lang.String value)` Sets the value of the id property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrucDocCaption

          public StrucDocCaption()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.io.Serializable> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``StrucDocFootnoteRef``>` `JAXBElement``<``StrucDocSub``>` `JAXBElement``<``StrucDocSup``>` `JAXBElement``<``StrucDocFootnote``>` `JAXBElement``<``StrucDocLinkHtml``>` `String`

    - #### getID

          public java.lang.String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStyleCode

          public java.util.List<java.lang.String> getStyleCode()

      Gets the value of the styleCode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the styleCode property.

      For example, to add a new item, do as follows:

              getStyleCode().add(newItem);

      Objects of the following type(s) are allowed in the list `String`